%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           librapi
Version:        0.15.2
Release:        3%{?dist}
Summary:        Library to connect to Pocket PC devices

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.synce.org
Source0:        http://download.sf.net/synce/librapi2-%{version}.tar.gz
Patch0:         librapi2-dso.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel >= 0.15.1
BuildRequires:  Pyrex
BuildRequires:  dbus-devel dbus-glib-devel
%if 0%{?fedora} < 16
BuildRequires:  hal-devel
%endif
BuildRequires:  libudev-devel
BuildRequires:  libtool

# Provide an upgrade path from the monilithic synce package
Provides:       synce = %{version}-%{release}
Obsoletes:      synce <= 0.9.1-10

%description
The RAPI library is an open source implementation that works like RAPI.DLL,
available on Microsoft operating systems. The library makes it possible to make
remote calls to a computer running Pocket PC.
In order to use librapi, a daemon that the Pocket PC client connects to must be
running on the computer using librapi.

%package devel
Summary: Development libraries and header files for librapi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: libsynce-devel

%description devel
This package contains the header files and link libraries for librapi

%package -n python-rapi
Summary: Python bindings to librapi (part of SynCE)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-rapi
This package contains the python bindings to librapi, a component
of the SynCE PocketPC connection framework.
The python module to import is named "pyrapi2"


%prep
%setup -q -n librapi2-%{version}
%patch0

%build
%configure \
%if 0%{?fedora} >= 16
--disable-hal-support \
%endif
--enable-udev-support \
--disable-static --disable-rpath
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{python_sitearch}/pyrapi2.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc BUGS ChangeLog README README.contributing TODO
%{_bindir}/*
%{_libdir}/librapi.so.2*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc README.design
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n python-rapi
%defattr(-,root,root,-)
%{python_sitearch}/pyrapi2.so


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 29 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.2-1
- version upgrade
- disable hal (>= f16)

* Mon Feb 14 2011 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15.1-1
- version upgrade

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue May 11 2010 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.15-1
- version upgrade

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13.1-1
- version upgrade (#457949)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.11.1-2
- Rebuild for Python 2.6

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11.1-1
- version upgrade

* Wed Jan 09 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.11-1
- version upgrade

* Fri Dec 21 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.10.0-2
- fix BR

* Wed May 09 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.10.0-1
- version 0.10.0
- new python bindings in a subpackage

* Sat Mar 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.3-1
- split off the synce package
